package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 评价表;
 * @author : http://www.chiner.pro
 * @date : 2022-10-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "评价表",description = "")
@TableName("evaluate")
public class Evaluate implements Serializable,Cloneable{
    /** 评价ID */
    @ApiModelProperty(name = "评价ID",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 任务ID */
    @ApiModelProperty(name = "任务ID",notes = "")
    private Integer taskId ;
    /** 服务质量;2优,1良,0差 */
    @ApiModelProperty(name = "服务质量",notes = "2优,1良,0差")
    private Integer item1 ;
    /** 供应住宿;2优,1良,0差 */
    @ApiModelProperty(name = "供应住宿",notes = "2优,1良,0差")
    private Integer item2 ;
    /** 供应餐饮;2优,1良,0差 */
    @ApiModelProperty(name = "供应餐饮",notes = "2优,1良,0差")
    private Integer item3 ;
    /** 洗浴评价;2优,1良,0差 */
    @ApiModelProperty(name = "洗浴评价",notes = "2优,1良,0差")
    private Integer item4 ;
    /** 娱乐评价;2优,1良,0差 */
    @ApiModelProperty(name = "娱乐评价",notes = "2优,1良,0差")
    private Integer item5 ;
    /** 军供文化;2优,1良,0差 */
    @ApiModelProperty(name = "军供文化",notes = "2优,1良,0差")
    private Integer item6 ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createDate ;

}