package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 资源;
 * @author : http://www.chiner.pro
 * @date : 2022-10-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "资源",description = "")
@TableName("resources")
public class Resources implements Serializable,Cloneable{
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 名称 */
    @ApiModelProperty(name = "名称",notes = "")
    private String name ;
    /** 父级ID */
    @ApiModelProperty(name = "父级ID",notes = "")
    private Integer parentId ;
    /** 编码 */
    @ApiModelProperty(name = "编码",notes = "")
    private String code ;
    /** 类型 */
    @ApiModelProperty(name = "类型",notes = "")
    private String type ;
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    private String sortNo ;

}