package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 角色资源;
 * @author : http://www.chiner.pro
 * @date : 2022-10-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "角色资源",description = "")
@TableName("role_resources")
public class RoleResources implements Serializable,Cloneable{
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 角色ID */
    @ApiModelProperty(name = "角色ID",notes = "")
    private Integer roleId ;
    /** 资源ID */
    @ApiModelProperty(name = "资源ID",notes = "")
    private Integer resourceId ;

}