package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.GuaranteeTask;

import java.util.List;
import java.util.Map;

/**
 * 供给保障;(guarantee_task)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-9-17
 */
@Mapper
public interface GuaranteeTaskMapper  extends BaseMapper<GuaranteeTask>{

    Integer sumPerson(@Param("status") int status);

    List<Map<String, Object>> countByDays(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("days") Long days);

    List<Map<String, Object>> countByMonths(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("months") Long months);

    List<Map<String, Object>> getCostByDays(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("days") Long days);

    List<Map<String, Object>> getCostByMonths(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("months") Long months);
}