package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.PurchaseItems;

import java.util.List;

/**
 * 采购内容;(purchase_items)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-10-14
 */
@Mapper
public interface PurchaseItemsMapper  extends BaseMapper<PurchaseItems>{

     PurchaseItems getByStore(@Param("purchaseId") Integer purchaseId, @Param("storeId") Integer storeId);

     int deleteNotIn(@Param("purchaseId") Integer purchaseId, @Param("idList") List<Integer> idList);
 }