package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.Purchase;

import java.util.List;
import java.util.Map;

/**
 * 采购表;(purchase)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-10-14
 */
@Mapper
public interface PurchaseMapper  extends BaseMapper<Purchase>{

     List<Map<String, Object>> getCostByDays(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("days") Long days);

    List<Map<String, Object>> getCostByMonths(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("months") Long months);
}