package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.Resources;

import java.util.List;

/**
 * 资源;(resources)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-10-12
 */
@Mapper
public interface ResourcesMapper  extends BaseMapper<Resources>{

     List<Resources> listBy(@Param("type") String type, @Param("roleId") Integer roleId);

    List<Resources> getByUser(@Param("userId") Integer userId);
}