package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.RoleResources;

import java.util.List;

/**
 * 角色资源;(role_resources)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-10-12
 */
@Mapper
public interface RoleResourcesMapper  extends BaseMapper<RoleResources>{

     List<RoleResources> getByRole(@Param("roleId") Integer roleId);

    RoleResources getByRoleAndResource(@Param("roleId") Integer roleId, @Param("resourceId") Integer resourceId);

    int deleteNotIn(@Param("roleId") Integer roleId, @Param("idList") List<Integer> idList);
}