package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.Store;

import java.util.List;
import java.util.Map;

/**
 * 库存表;(store)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-9-17
 */
@Mapper
public interface StoreMapper  extends BaseMapper<Store>{

    IPage<Store> getPageBy(IPage<Store> pg, @Param("id") Integer id, @Param("name") String name, @Param("typeId") String typeId, @Param("isDish") Integer isDish);

    List<Store> getListBy(@Param("id") Integer id, @Param("name") String name, @Param("typeId") String typeId, @Param("isDish") Integer isDish);

    List<Map<String, Integer>> countByDeviceType();

    List<Map<String, Integer>> countDeviceTypeOut(@Param("startDate") String startDate,@Param("endDate") String endDate);

    Integer countDevice();
}