package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.UserRoles;

import java.util.List;

/**
 * 授权角色;(user_roles)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-10-12
 */
@Mapper
public interface UserRolesMapper  extends BaseMapper<UserRoles>{

     UserRoles getByUserAndRole(@Param("userId") Integer userId, @Param("roleId") Integer roleId);

     int deleteNotIn(@Param("userId") Integer userId, @Param("idList") List<Integer> idList);
 }