package com.yunzhi.inte.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.inte.entity.GuaranteeTask;

import java.util.List;
import java.util.Map;

/**
 * 供给保障;(guarantee_task)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-9-17
 */
public interface GuaranteeTaskService extends IBaseService<GuaranteeTask> {

    Integer total();

    Integer sumPerson();

    List<Map<String, Object>> countByDays(String startDate, String endDate, Long days);

    List<Map<String, Object>> countByMonths(String startDate, String endDate, Long months);

    List<Map<String, Object>> getCostByDays(String startDate, String endDate, Long days);

    List<Map<String, Object>> getCostByMonths(String startDate, String endDate, long months);
}