package com.yunzhi.inte.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.inte.entity.Purchase;
import com.yunzhi.inte.entity.Users;

import java.util.List;
import java.util.Map;

/**
 * 采购表;(purchase)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-10-14
 */
public interface PurchaseService extends IBaseService<Purchase> {

     boolean mergeData(Purchase purchase) throws Exception;

     boolean inStore(Integer purchaseId, Users users) throws Exception;

    List<Map<String, Object>> getCostByDays(String startDate, String endDate, Long days);

    List<Map<String, Object>> getCostByMonths(String startDate, String endDate, long months);
}