package com.yunzhi.inte.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.inte.entity.Store;

import java.util.List;
import java.util.Map;

/**
 * 库存表;(store)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-9-17
 */
public interface StoreService extends IBaseService<Store> {

    IPage<Store> getPageBy(IPage<Store> pg, Integer id, String name, String typeId, Integer isDish);

    List<Store> getListBy(String name, String typeId, Integer isDish);

    Integer countDevice();

    List<Map<String, Integer>> countByDeviceType();

    List<Map<String, Integer>> countDeviceTypeOut(String startDate, String endDate);

}