package com.yunzhi.inte.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.inte.entity.Users;
import com.yunzhi.inte.vo.LoginParm;

import java.util.List;
import java.util.Map;

/**
 * 用户表;(users)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2022-10-12
 */
public interface UsersService extends IBaseService<Users> {

    Users login(LoginParm loginParm) throws Exception;

    boolean mergeData(Users users) throws Exception;

    List<Map<String, Integer>> countEdu();

    List<Map<String, Integer>> countAge();
}