package com.yunzhi.inte.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.PostsFiles;
import com.yunzhi.inte.mapper.PostsFilesMapper;
import com.yunzhi.inte.service.PostsFilesService;

import java.util.List;

/**
 * 关联文件;(posts_files)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-13
 */
@Service
public class PostsFilesServiceImpl extends BaseServiceImpl<PostsFilesMapper, PostsFiles> implements PostsFilesService {

    @Override
    public List<PostsFiles> getFilesByPosts(Integer postId) {
        return baseMapper.getFilesByPosts(postId);
    }
}