package com.yunzhi.inte.common;

import cn.dev33.satoken.stp.StpUtil;
import com.yunzhi.inte.entity.Users;
import com.yunzhi.inte.service.UsersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BaseController {

    @Autowired
    protected UsersService usersService;

    public Users currentUser() throws Exception {
        int userId = StpUtil.getLoginIdAsInt();

        Users user = usersService.getById(userId);
        if (user == null) {
            throw new Exception("人员不存在");
        }

        return user;
    }

}
