package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 关联文件;
 * @author : http://www.chiner.pro
 * @date : 2022-10-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "关联文件",description = "")
@TableName("posts_files")
public class PostsFiles implements Serializable,Cloneable{
    /** 文件ID */
    @ApiModelProperty(name = "文件ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 信息ID */
    @ApiModelProperty(name = "信息ID",notes = "")
    private Integer postsId ;
    /** 文件类型 */
    @ApiModelProperty(name = "文件类型",notes = "")
    private String fileType ;
    /** 文件名称 */
    @ApiModelProperty(name = "文件名称",notes = "")
    private String fileName ;
    /** 文件地址 */
    @ApiModelProperty(name = "文件地址",notes = "")
    private String fileAddr ;

}