package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 机构文件;
 * @author : http://www.chiner.pro
 * @date : 2022-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "机构文件",description = "")
@TableName("units_files")
public class UnitsFiles implements Serializable,Cloneable{
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private Integer orgId ;
    /** 文件地址 */
    @ApiModelProperty(name = "文件地址",notes = "")
    private String fileAddr ;
    /** 文件名称 */
    @ApiModelProperty(name = "文件名称",notes = "")
    private String fileName ;
    /** 上传时间 */
    @ApiModelProperty(name = "上传时间",notes = "")
    private Date createDate ;

}