package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.PostsFiles;

import java.util.List;

/**
 * 关联文件;(posts_files)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-10-13
 */
@Mapper
public interface PostsFilesMapper  extends BaseMapper<PostsFiles>{

     PostsFiles getByPostsAndAddr(@Param("postsId") Integer postsId,@Param("fileAddr") String fileAddr);

     boolean deleteNotIn(@Param("postsId") Integer postsId,@Param("idList") List<Integer> idList);

    List<PostsFiles> getFilesByPosts(@Param("postsId") Integer postsId);
}