package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.UnitsFiles;

import java.util.List;

/**
 * 机构文件;(units_files)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2022-10-26
 */
@Mapper
public interface UnitsFilesMapper extends BaseMapper<UnitsFiles> {

    UnitsFiles getByFileAddr(@Param("orgId") Integer orgId, @Param("fileAddr") String fileAddr);

    int deleteButNotIn(@Param("orgId") Integer orgId, @Param("idList") List<Integer> idList);

    List<UnitsFiles> getByOrg(@Param("orgId") Integer orgId);
}