package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.Users;

import java.util.List;
import java.util.Map;

/**
 * 用户表;(users)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-10-12
 */
@Mapper
public interface UsersMapper  extends BaseMapper<Users>{

     Users getByLoginID(@Param("loginName") String loginName);

     List<Map<String, Integer>> countEdu();

    List<Map<String, Integer>> countAge();
}