package com.yunzhi.inte.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.CooperationPerson;
import com.yunzhi.inte.mapper.CooperationPersonMapper;
import com.yunzhi.inte.service.CooperationPersonService;

/**
 * 保障机构人员;(cooperation_person)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-24
 */
@Service
public class CooperationPersonServiceImpl extends BaseServiceImpl<CooperationPersonMapper, CooperationPerson> implements CooperationPersonService {

    @Override
    public IPage<CooperationPerson> getPageBy(IPage<CooperationPerson> pg, Integer orgId, String name) {
        return baseMapper.getPageBy(pg, orgId, name);
    }
}