package com.yunzhi.inte.service.impl;

import com.yunzhi.inte.common.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.Roles;
import com.yunzhi.inte.mapper.RolesMapper;
import com.yunzhi.inte.service.RolesService;

import java.util.List;

/**
 * 角色;(roles)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-12
 */
@Service
public class RolesServiceImpl extends BaseServiceImpl<RolesMapper, Roles> implements RolesService {

    @Override
    public List<Roles> getByUser(Integer userId) {
        if (userId == Constants.ROOT_ID) {
            return list();
        }

        return baseMapper.getByUser(userId);
    }
}