package com.yunzhi.inte.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.UnitsFiles;
import com.yunzhi.inte.mapper.UnitsFilesMapper;
import com.yunzhi.inte.service.UnitsFilesService;

import java.util.List;

/**
 * 机构文件;(units_files)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-10-26
 */
@Service
public class UnitsFilesServiceImpl extends BaseServiceImpl<UnitsFilesMapper, UnitsFiles> implements UnitsFilesService {

    @Override
    public List<UnitsFiles> getByOrg(Integer id) {
        return baseMapper.getByOrg(id);
    }
}