package com.yunzhi.inte.vo;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("套餐导出")
public class PackageExport {

    @ExcelProperty(value = "序号", index = 0)
    @ApiModelProperty("序号")
    Integer no;

    @ColumnWidth(36)
    @ExcelProperty(value = "套餐", index = 1)
    @ApiModelProperty("套餐")
    String packageName;

    @ColumnWidth(36)
    @ExcelProperty(value = "菜肴", index = 2)
    @ApiModelProperty("菜肴")
    String dishName;
}
